Apache INstall gibt fehlermeldung

ShadowDomE

Registered User
Hallöle wollte gerade auf meinen neuen V-Server Apache2 installieren aber es kommt immer folgende meldung:

Code:
vserver32676:~# apt-get install apache2
Reading package lists... Done
Building dependency tree
Reading state information... Done
apache2 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up rsync (3.0.3-2) ...
: command not foundine 9:
invoke-rc.d: initscript rsync, action "restart" failed.
dpkg: error processing rsync (--configure):
 subprocess post-installation script returned error exit status 127
Errors were encountered while processing:
 rsync
E: Sub-process /usr/bin/dpkg returned an error code (1)
vserver32676:~# invoke-rc.d: initscript rsync, action "restart" failed.
-bash: invoke-rc.d:: command not found
vserver32676:~# apt-get install dpkg
Reading package lists... Done
Building dependency tree
Reading state information... Done
dpkg is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up rsync (3.0.3-2) ...
: command not foundine 9:
invoke-rc.d: initscript rsync, action "restart" failed.
dpkg: error processing rsync (--configure):
 subprocess post-installation script returned error exit status 127
Errors were encountered while processing:
 rsync
E: Sub-process /usr/bin/dpkg returned an error code (1)
vserver32676:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  base-files ia32-libs man-db
3 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 28.0MB of archives.
After this operation, 160kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
Get:1 http://mirror.unitedcolo.de lenny/main base-files 5lenny9 [64.5kB]
Get:2 http://mirror.unitedcolo.de lenny/main ia32-libs 2.7+lenny2 [26.9MB]
Get:3 http://mirror.unitedcolo.de lenny/main man-db 2.5.2-5 [1098kB]
Fetched 28.0MB in 4s (6554kB/s)
Preconfiguring packages ...
(Reading database ... 17226 files and directories currently installed.)
Preparing to replace base-files 5lenny8 (using .../base-files_5lenny9_amd64.deb) ...
Unpacking replacement base-files ...
Processing triggers for man-db ...
Setting up base-files (5lenny9) ...
Installing new version of config file /etc/debian_version ...
(Reading database ... 17226 files and directories currently installed.)
Preparing to replace ia32-libs 2.7+lenny1 (using .../ia32-libs_2.7+lenny2_amd64.deb) ...
Unpacking replacement ia32-libs ...
Preparing to replace man-db 2.5.2-4 (using .../man-db_2.5.2-5_amd64.deb) ...
Unpacking replacement man-db ...
Setting up rsync (3.0.3-2) ...
: command not foundine 9:
invoke-rc.d: initscript rsync, action "restart" failed.
dpkg: error processing rsync (--configure):
 subprocess post-installation script returned error exit status 127
Setting up ia32-libs (2.7+lenny2) ...
Setting up man-db (2.5.2-5) ...
Updating database of manual pages ...
Errors were encountered while processing:
 rsync
E: Sub-process /usr/bin/dpkg returned an error code (1)
vserver32676:~#


Jemand ne idee? der support vom Anbieter ist sich zu fein mir da zu helfen^^
 
Jemand ne idee? der support vom Anbieter ist sich zu fein mir da zu helfen^^

Ist ja auch nicht seine Aufgabe ;) Ich versteh aber auch nicht, was dich annehmen lässt, dass der Fehler von der Apache-Installation herrührt.

Code:
apt-get install --reinstall rsync
 
Code:
vserver32676:~# apt-get install --reinstall rsync
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]? Y
Setting up rsync (3.0.3-2) ...
: command not foundine 9:
invoke-rc.d: initscript rsync, action "restart" failed.
dpkg: error processing rsync (--configure):
 subprocess post-installation script returned error exit status 127
Errors were encountered while processing:
 rsync
E: Sub-process /usr/bin/dpkg returned an error code (1)
vserver32676:~#
 
Dann schau dir mal das Script /etc/init.d/rsync an - denn das verursacht in der Restart-Sektion ja scheinbar dein Problem.
 
Code:
#! /bin/sh

### BEGIN INIT INFO
# Provides:          rsyncd
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Should-Start:      $named
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: fast remote file copy program daemon
# Description:       rsync is a program that allows files to be copied to and
#                    from remote machines in much the same way as rcp.
#                    This provides rsyncd daemon functionality.
### END INIT INFO

set -e

# /etc/init.d/rsync: start and stop the rsync daemon

DAEMON=/usr/bin/rsync
RSYNC_ENABLE=false
RSYNC_OPTS=''
RSYNC_DEFAULTS_FILE=/etc/default/rsync
RSYNC_CONFIG_FILE=/etc/rsyncd.conf
RSYNC_NICE_PARM=''

test -x $DAEMON || exit 0

. /lib/lsb/init-functions
. /etc/default/rcS

if [ -s $RSYNC_DEFAULTS_FILE ]; then
    . $RSYNC_DEFAULTS_FILE
    case "x$RSYNC_ENABLE" in
        xtrue|xfalse)   ;;
        xinetd)         exit 0
                        ;;
        *)              log_failure_msg "Value of RSYNC_ENABLE in $RSYNC_DEFAULTS_FILE must be either 'true' or 'false';"
                        log_failure_msg "not starting rsync daemon."
                        exit 1
                        ;;
    esac
    case "x$RSYNC_NICE" in
        x[0-9])         RSYNC_NICE_PARM="--nicelevel $RSYNC_NICE";;
        x[1-9][0-9])    RSYNC_NICE_PARM="--nicelevel $RSYNC_NICE";;
        x)              ;;
        *)              log_warning_msg "Value of RSYNC_NICE in $RSYNC_DEFAULTS_FILE must be a value between 0 and 19 (inclusive);"
                        log_warning_msg "ignoring RSYNC_NICE now."
                        ;;
    esac
fi

export PATH="${PATH:+$PATH:}/usr/sbin:/sbin"

case "$1" in
  start)
	if "$RSYNC_ENABLE"; then
            log_daemon_msg "Starting rsync daemon" "rsync"
	    if [ -s /var/run/rsync.pid ] && kill -0 $(cat /var/run/rsync.pid) >/dev/null 2>&1; then
                log_progress_msg "apparently already running"
                log_end_msg 0
		exit 0
	    fi
            if [ ! -s "$RSYNC_CONFIG_FILE" ]; then
                log_failure_msg "missing or empty config file $RSYNC_CONFIG_FILE"
		log_end_msg 1
                exit 1
            fi
            if start-stop-daemon --start --quiet --background \
                --pidfile /var/run/rsync.pid --make-pidfile \
                $RSYNC_NICE_PARM --exec /usr/bin/rsync \
                -- --no-detach --daemon --config "$RSYNC_CONFIG_FILE" $RSYNC_OPTS
            then
                rc=0
                sleep 1
                if ! kill -0 $(cat /var/run/rsync.pid) >/dev/null 2>&1; then
                    log_failure_msg "rsync daemon failed to start"
                    rc=1
                fi
            else
                rc=1
            fi
            if [ $rc -eq 0 ]; then
                log_end_msg 0
            else
                log_end_msg 1
                rm -f /var/run/rsync.pid
            fi
        else
            if [ -s "$RSYNC_CONFIG_FILE" ]; then
		[ "$VERBOSE" != no ] && log_warning_msg "rsync daemon not enabled in /etc/default/rsync, not starting..."
            fi
        fi
	;;
  stop)
        log_daemon_msg "Stopping rsync daemon" "rsync"
	start-stop-daemon --stop --quiet --oknodo --pidfile /var/run/rsync.pid
        log_end_msg $?
	rm -f /var/run/rsync.pid
	;;

  reload|force-reload)
        log_warning_msg "Reloading rsync daemon: not needed, as the daemon"
        log_warning_msg "re-reads the config file whenever a client connects."
	;;

  restart)
	set +e
        if $RSYNC_ENABLE; then
            log_daemon_msg "Restarting rsync daemon" "rsync"
	    if [ -s /var/run/rsync.pid ] && kill -0 $(cat /var/run/rsync.pid) >/dev/null 2>&1; then
		start-stop-daemon --stop --quiet --oknodo --pidfile /var/run/rsync.pid || true
		sleep 1
	    else
                log_warning_msg "rsync daemon not running, attempting to start."
	    	rm -f /var/run/rsync.pid
	    fi
            if [ ! -s "$RSYNC_CONFIG_FILE" ]; then
                log_failure_msg "missing or empty config file $RSYNC_CONFIG_FILE"
		log_end_msg 1
                exit 1
            fi
            if start-stop-daemon --start --quiet --background \
                --pidfile /var/run/rsync.pid --make-pidfile \
                $RSYNC_NICE_PARM --exec /usr/bin/rsync \
                -- --no-detach --daemon --config "$RSYNC_CONFIG_FILE" $RSYNC_OPTS
            then
                rc=0
                sleep 1
                if ! kill -0 $(cat /var/run/rsync.pid) >/dev/null 2>&1; then
                    log_failure_msg "rsync daemon failed to start"
                    rc=1
                fi
            else
                rc=1
            fi
            if [ $rc -eq 0 ]; then
                log_end_msg 0
            else
                log_end_msg 1
                rm -f /var/run/rsync.pid
            fi
        else
            [ "$VERBOSE" != no ] && log_warning_msg "rsync daemon not enabled in /etc/default/rsync, not starting..."
        fi
	;;

  *)
	echo "Usage: /etc/init.d/rsync {start|stop|reload|force-reload|restart}"
	exit 1
esac

exit 0

Hmm da blick ich jetzt garnid durch :D:confused::confused::confused::confused:
 
Back
Top